#include <iostream>
using namespace std;
main()
{
	int N,L,i;
	cin >> N;
	cin >> L;
	int a[N];
	
	for(i=0; i<N; i++){
		cin>> a[i];
				if(a[i]<=L)
		{
			cout<<i+1;
			return 0;
		}
	}

	cout << -1;
	return 0;
}